      ******************************************************************
      **                                                              **
      **  Program name:  CMQDHV                                       **
      **                                                              **
      **  Description:   This file declares the MQDH structure,       **
      **                 which is part of IBM Message Queue Interface **
      **                 (MQI) in the Windows NT environment.         **
      **                                                              **
      **  Statement:     Licensed Materials - Property of IBM         **
      **                                                              **
      **                 84H2004, 6539-B43                            **
      **                 (c) Copyright IBM Corporation 1993, 1997.    **
      **                                                              **
      ******************************************************************
 
      **   MQDH structure
        10 MQDH.
      **    Structure identifier
         15 MQDH-STRUCID         PIC X(4) VALUE 'DH  '.
      **    Structure version number
         15 MQDH-VERSION         PIC S9(9) BINARY VALUE 1.
      **    Length of MQDH structure plus following records
         15 MQDH-STRUCLENGTH     PIC S9(9) BINARY VALUE 0.
      **    Encoding of message data
         15 MQDH-ENCODING        PIC S9(9) BINARY VALUE 0.
      **    Coded character-set identifier of message data
         15 MQDH-CODEDCHARSETID  PIC S9(9) BINARY VALUE 0.
      **    Format name of message data
         15 MQDH-FORMAT          PIC X(8) VALUE SPACES.
      **    General flags
         15 MQDH-FLAGS           PIC S9(9) BINARY VALUE 0.
      **    Flags indicating which MQPMR fields are present
         15 MQDH-PUTMSGRECFIELDS PIC S9(9) BINARY VALUE 0.
      **    Number of object records present
         15 MQDH-RECSPRESENT     PIC S9(9) BINARY VALUE 0.
      **    Offset of first object record from start of MQDH
         15 MQDH-OBJECTRECOFFSET PIC S9(9) BINARY VALUE 0.
      **    Offset of first put message record from start of MQDH
         15 MQDH-PUTMSGRECOFFSET PIC S9(9) BINARY VALUE 0.
 
