      ******************************************************************
      **                                                              **
      **  Program name:  CMQGMOL                                      **
      **                                                              **
      **  Description:   This file declares the MQGMO structure,      **
      **                 which is part of IBM Message Queue Interface **
      **                 (MQI) in the Windows NT environment.         **
      **                                                              **
      **  Statement:     Licensed Materials - Property of IBM         **
      **                                                              **
      **                 84H2004, 6539-B43                            **
      **                 (c) Copyright IBM Corporation 1993, 1997.    **
      **                                                              **
      ******************************************************************
 
      **   MQGMO structure
        10 MQGMO.
      **    Structure identifier
         15 MQGMO-STRUCID       PIC X(4).
      **    Structure version number
         15 MQGMO-VERSION       PIC S9(9) BINARY.
      **    Options that control the action of MQGET
         15 MQGMO-OPTIONS       PIC S9(9) BINARY.
      **    Wait interval
         15 MQGMO-WAITINTERVAL  PIC S9(9) BINARY.
      **    Signal
         15 MQGMO-SIGNAL1       PIC S9(9) BINARY.
      **    Signal identifier
         15 MQGMO-SIGNAL2       PIC S9(9) BINARY.
      **    Resolved name of destination queue
         15 MQGMO-RESOLVEDQNAME PIC X(48).
      **    Options controlling selection criteria used for MQGET
         15 MQGMO-MATCHOPTIONS  PIC S9(9) BINARY.
      **    Flag indicating whether message retrieved is in a group
         15 MQGMO-GROUPSTATUS   PIC X.
      **    Flag indicating whether message retrieved is a segment of a
      **    logical message
         15 MQGMO-SEGMENTSTATUS PIC X.
      **    Flag indicating whether segmentation is allowed for the
      **    message retrieved
         15 MQGMO-SEGMENTATION  PIC X.
      **    Reserved
         15 MQGMO-RESERVED1     PIC X.
 
