      ******************************************************************
      **                                                              **
      **  Program name:  CMQIIHV                                      **
      **                                                              **
      **  Description:   This file declares the MQIIH structure,      **
      **                 which is part of IBM Message Queue Interface **
      **                 (MQI) in the Windows NT environment.         **
      **                                                              **
      **  Statement:     Licensed Materials - Property of IBM         **
      **                                                              **
      **                 84H2004, 6539-B43                            **
      **                 (c) Copyright IBM Corporation 1993, 1997.    **
      **                                                              **
      ******************************************************************
 
      **   MQIIH structure
        10 MQIIH.
      **    Structure identifier
         15 MQIIH-STRUCID        PIC X(4) VALUE 'IIH '.
      **    Structure version number
         15 MQIIH-VERSION        PIC S9(9) BINARY VALUE 1.
      **    Length of MQIIH structure
         15 MQIIH-STRUCLENGTH    PIC S9(9) BINARY VALUE 84.
      **    Reserved
         15 MQIIH-ENCODING       PIC S9(9) BINARY VALUE 0.
      **    Reserved
         15 MQIIH-CODEDCHARSETID PIC S9(9) BINARY VALUE 0.
      **    MQ format name
         15 MQIIH-FORMAT         PIC X(8) VALUE SPACES.
      **    Reserved
         15 MQIIH-FLAGS          PIC S9(9) BINARY VALUE 0.
      **    Logical terminal override
         15 MQIIH-LTERMOVERRIDE  PIC X(8) VALUE SPACES.
      **    Message format services map name
         15 MQIIH-MFSMAPNAME     PIC X(8) VALUE SPACES.
      **    MQ format name of reply message
         15 MQIIH-REPLYTOFORMAT  PIC X(8) VALUE SPACES.
      **    RACF password or passticket
         15 MQIIH-AUTHENTICATOR  PIC X(8) VALUE SPACES.
      **    Transaction instance identifier
         15 MQIIH-TRANINSTANCEID PIC X(16) VALUE LOW-VALUES.
      **    Transaction state
         15 MQIIH-TRANSTATE      PIC X VALUE ' '.
      **    Commit mode
         15 MQIIH-COMMITMODE     PIC X VALUE '0'.
      **    Security scope
         15 MQIIH-SECURITYSCOPE  PIC X VALUE 'C'.
      **    Reserved
         15 MQIIH-RESERVED       PIC X VALUE SPACES.
 
