      ******************************************************************
      **                                                              **
      **  Program name:  CMQMDEL                                      **
      **                                                              **
      **  Description:   This file declares the MQMDE structure,      **
      **                 which is part of IBM Message Queue Interface **
      **                 (MQI) in the Windows NT environment.         **
      **                                                              **
      **  Statement:     Licensed Materials - Property of IBM         **
      **                                                              **
      **                 84H2004, 6539-B43                            **
      **                 (c) Copyright IBM Corporation 1993, 1997.    **
      **                                                              **
      ******************************************************************
 
      **   MQMDE structure
        10 MQMDE.
      **    Structure identifier
         15 MQMDE-STRUCID        PIC X(4).
      **    Structure version number
         15 MQMDE-VERSION        PIC S9(9) BINARY.
      **    Length of MQMDE structure
         15 MQMDE-STRUCLENGTH    PIC S9(9) BINARY.
      **    Encoding of the data following the MQMDE
         15 MQMDE-ENCODING       PIC S9(9) BINARY.
      **    Character-set identifier of the data following the MQMDE
         15 MQMDE-CODEDCHARSETID PIC S9(9) BINARY.
      **    Format name of the data following the MQMDE
         15 MQMDE-FORMAT         PIC X(8).
      **    General flags
         15 MQMDE-FLAGS          PIC S9(9) BINARY.
      **    Group identifier
         15 MQMDE-GROUPID        PIC X(24).
      **    Sequence number of logical message within group
         15 MQMDE-MSGSEQNUMBER   PIC S9(9) BINARY.
      **    Offset of data in physical message from start of logical
      **    message
         15 MQMDE-OFFSET         PIC S9(9) BINARY.
      **    Message flags
         15 MQMDE-MSGFLAGS       PIC S9(9) BINARY.
      **    Length of original message
         15 MQMDE-ORIGINALLENGTH PIC S9(9) BINARY.
 
