      ******************************************************************
      **                                                              **
      **  Program name:  CMQODV                                       **
      **                                                              **
      **  Description:   This file declares the MQOD structure,       **
      **                 which is part of IBM Message Queue Interface **
      **                 (MQI) in the Windows NT environment.         **
      **                                                              **
      **  Statement:     Licensed Materials - Property of IBM         **
      **                                                              **
      **                 84H2004, 6539-B43                            **
      **                 (c) Copyright IBM Corporation 1993, 1997.    **
      **                                                              **
      ******************************************************************
 
      **   MQOD structure
        10 MQOD.
      **    Structure identifier
         15 MQOD-STRUCID           PIC X(4) VALUE 'OD  '.
      **    Structure version number
         15 MQOD-VERSION           PIC S9(9) BINARY VALUE 1.
      **    Object type
         15 MQOD-OBJECTTYPE        PIC S9(9) BINARY VALUE 1.
      **    Object name
         15 MQOD-OBJECTNAME        PIC X(48) VALUE SPACES.
      **    Object queue manager name
         15 MQOD-OBJECTQMGRNAME    PIC X(48) VALUE SPACES.
      **    Dynamic queue name
         15 MQOD-DYNAMICQNAME      PIC X(48) VALUE 'AMQ.*'.
      **    Alternate user identifier
         15 MQOD-ALTERNATEUSERID   PIC X(12) VALUE SPACES.
      **    Number of object records present
         15 MQOD-RECSPRESENT       PIC S9(9) BINARY VALUE 0.
      **    Number of local queues opened successfully
         15 MQOD-KNOWNDESTCOUNT    PIC S9(9) BINARY VALUE 0.
      **    Number of remote queues opened successfully
         15 MQOD-UNKNOWNDESTCOUNT  PIC S9(9) BINARY VALUE 0.
      **    Number of queues that failed to open
         15 MQOD-INVALIDDESTCOUNT  PIC S9(9) BINARY VALUE 0.
      **    Offset of first object record from start of MQOD
         15 MQOD-OBJECTRECOFFSET   PIC S9(9) BINARY VALUE 0.
      **    Offset of first response record from start of MQOD
         15 MQOD-RESPONSERECOFFSET PIC S9(9) BINARY VALUE 0.
      **    Address of first object record
         15 MQOD-OBJECTRECPTR      POINTER VALUE NULL.
      **    Address of first response record
         15 MQOD-RESPONSERECPTR    POINTER VALUE NULL.
 
